Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1384675

Summary: system-config-users does not work under Wayland
Product: [Fedora] Fedora Reporter: Giulio 'juliuxpigface' <juliux.pigface>
Component: system-config-usersAssignee: Moez Roy <moez.roy>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 25CC: antonio.montagnani, fedora, jon.ingason, moez.roy, nphilipp
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 10:58:32 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1277927    

Description Giulio 'juliuxpigface' 2016-10-13 19:56:43 UTC
Description of problem:
I'm currently testing Fedora 25 (Gnome+Wayland session). I can't launch system-config-users.

Version-Release number of selected component (if applicable):
system-config-users-1.3.8-2.fc24.noarch

How reproducible:
Always

Steps to Reproduce:
1.Launch the tool from Gnome's acivities overview.

Actual results:
The tool crashes

[juliux@extensa ~]$ system-config-users 
No protocol specified
system-config-users necessita di un server X avviato.
GtkWarning: 'could not open display'

Expected results:
Ideally, the tool should work with Wayland tool.

Additional info:
Setting severity to low, since this doesn't have a broad impact (Gnome provides its tools in order to manage system's users account)

Comment 1 Giulio 'juliuxpigface' 2016-10-13 20:34:41 UTC
I can confirm the issue isn't reproducible on Gnome+Xorg. Setting this to block the "Wayland-related" tracker.

Comment 2 Christian Stadelmann 2016-10-13 21:12:39 UTC
Duplicate of / blocked by

Bug #1274451 - sudo with graphical apps doesn't work on wayland 

Bug #1284222 - Application wont start on Gnome Wayland

Comment 3 Christian Stadelmann 2017-10-27 18:46:56 UTC
There is a workaround using xhost which has been applied to gparted recently, see https://bugzilla.gnome.org/show_bug.cgi?id=776437 for details.

Comment 4 Fedora End Of Life 2017-11-16 19:02:00 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:58:32 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.